curl --request GET \
--url {protocol}://{host}/v2/loyalties/rewards/{rewardId}/activities \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"type": "vl.reward.created",
"data": {
"reward": {
"id": "<string>",
"name": "<string>",
"type": "MATERIAL",
"status": "ACTIVE",
"validity_hours": {
"type": "DAILY",
"daily": [
{
"days_of_week": [
3
],
"start_time": "09:00",
"end_time": "17:00"
}
]
},
"refunds": {
"type": "NONE"
},
"costs": [
{
"id": "<string>",
"rules": {
"logic": "<string>"
},
"spending": [
{
"id": "<string>",
"points": 123,
"card_definition_id": "<string>",
"name": "<string>"
}
]
}
],
"purchase_limits": {
"cooldown": {
"type": "NO_COOLDOWN",
"fixed_cooldown": {
"period": {
"value": 2,
"unit": "HOUR"
}
}
},
"frequency": {
"type": "NO_LIMIT",
"limits": [
{
"type": "TIME_BASED",
"period": {
"type": "CURRENT_PERIOD",
"current_period": {
"unit": "DAY"
}
},
"triggers": {
"max": 2
}
}
]
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "reward",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"material": {
"type": "PRODUCT",
"product": {
"id": "<string>"
},
"sku": {
"product_id": "<string>",
"id": "<string>"
}
},
"digital": {
"type": "DISCOUNT_COUPONS",
"discount_coupons": {
"campaign_id": "<string>"
},
"gift_vouchers": {
"campaign_id": "<string>",
"balance": 123
},
"loyalty_card_points": {
"points": 123,
"card_definition_id": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
},
"program": {},
"program_reward": {}
},
"created_at": "2023-11-07T05:31:56Z",
"reward_id": "<string>",
"group_id": "<string>",
"source": {
"channel": "USER_PORTAL",
"user": {
"id": "<string>"
},
"api_key": {
"name": "<string>",
"app_id": "<string>",
"client_app_id": "<string>"
}
}
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "list"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}List reward activities
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Returns a cursor-paginated list of activities recorded for the given reward
(created, updated, deleted, assigned, unassigned, activated, deactivated, drafted).
Returns 404 when the reward does not exist.
curl --request GET \
--url {protocol}://{host}/v2/loyalties/rewards/{rewardId}/activities \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"type": "vl.reward.created",
"data": {
"reward": {
"id": "<string>",
"name": "<string>",
"type": "MATERIAL",
"status": "ACTIVE",
"validity_hours": {
"type": "DAILY",
"daily": [
{
"days_of_week": [
3
],
"start_time": "09:00",
"end_time": "17:00"
}
]
},
"refunds": {
"type": "NONE"
},
"costs": [
{
"id": "<string>",
"rules": {
"logic": "<string>"
},
"spending": [
{
"id": "<string>",
"points": 123,
"card_definition_id": "<string>",
"name": "<string>"
}
]
}
],
"purchase_limits": {
"cooldown": {
"type": "NO_COOLDOWN",
"fixed_cooldown": {
"period": {
"value": 2,
"unit": "HOUR"
}
}
},
"frequency": {
"type": "NO_LIMIT",
"limits": [
{
"type": "TIME_BASED",
"period": {
"type": "CURRENT_PERIOD",
"current_period": {
"unit": "DAY"
}
},
"triggers": {
"max": 2
}
}
]
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "reward",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"material": {
"type": "PRODUCT",
"product": {
"id": "<string>"
},
"sku": {
"product_id": "<string>",
"id": "<string>"
}
},
"digital": {
"type": "DISCOUNT_COUPONS",
"discount_coupons": {
"campaign_id": "<string>"
},
"gift_vouchers": {
"campaign_id": "<string>",
"balance": 123
},
"loyalty_card_points": {
"points": 123,
"card_definition_id": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
},
"program": {},
"program_reward": {}
},
"created_at": "2023-11-07T05:31:56Z",
"reward_id": "<string>",
"group_id": "<string>",
"source": {
"channel": "USER_PORTAL",
"user": {
"id": "<string>"
},
"api_key": {
"name": "<string>",
"app_id": "<string>",
"client_app_id": "<string>"
}
}
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "list"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
Path Parameters
Unique reward identifier, prefixed with lrew_.
^lrew_[a-f0-9]+$Query Parameters
Maximum number of activities to return. Must be between 1 and 100. Defaults to 10 when not provided.
1 <= x <= 100Field(s) to order results by. Prefix with - for descending order.
Accepts a single value or an array of values. Defaults to -created_at.
The same field cannot be used in both ascending and descending order at once.
created_at, -created_at Pagination cursor returned in the cursor.next field of a previous response.
Must match the pattern ^lcrsarew_[a-f0-9]+$.
^lcrsarew_[a-f0-9]+$Field-specific filter conditions, passed as a deep object, e.g.
filters[type][conditions][$is]=vl.reward.created.
Request query schema for GET /v2/loyalties/rewards/{rewardId}/activities.
Show child attributes
Show child attributes
Response
Cursor-paginated list of reward activities.
Cursor-paginated list of reward activities.

